VIRTUAL_OSS_CMD(8)

NAME
virtual_oss_cmd - modify a running virtual_oss(8) instance's options

SYNOPSIS
virtual_oss_cmd

DESCRIPTION
virtual_oss_cmd pass additional command line arguments to a running virtual_oss(8) instance via its control device. Supported command line arguments:

-E xxx

-F xxx

-G xxx

-L xxx

-M xxx

-O xxx

-P xxx

-R xxx

-a xxx

-b xxx

-c xxx

-d xxx

-e xxx

-f xxx

-l xxx

-m xxx

-p xxx

-s xxx

-w xxx

Refer to virtual_oss(8) for a detailed description of the command line arguments.

EXAMPLES
To change the recording device:

    virtual_oss_cmd /dev/vdsp.ctl -R /dev/dsp4

To change the playback device:

    virtual_oss_cmd /dev/vdsp.ctl -P /dev/dsp4

To enable recording:

    virtual_oss_cmd /dev/vdsp.ctl -E 1

To disable recording:

    virtual_oss_cmd /dev/vdsp.ctl -E 0

To create a new DSP device on the fly:

    virtual_oss_cmd /dev/vdsp.ctl -b 16 -c 2 -d dsp.new

To show system information:

    virtual_oss_cmd /dev/vdsp.ctl

SEE ALSO
virtual_oss(8)

AUTHORS
virtual_oss_cmd was written by Hans Petter Selasky hselasky@freebsd.org.